#### Description:

This function stores a supplied arbitrary pointer in the Channel. When a source or sink function is invoked by the Channel, the invoked function can use the astChannelData macro to retrieve the pointer. This provides a thread-safe alternative to passing file descriptors, etc, via global static variables.

#### Synopsis

void astPutChannelData( AstChannel ∗this, void ∗data )

#### Parameters:

##### this

Pointer to the Channel.

##### data

A pointer to be made available to the source and sink functions via the astChannelData macro. May be NULL.

#### Applicability

##### Channel

All Channels have this function.

#### Notes:

- This routine is not available in the Fortran 77 interface to the AST library.

Copyright (C) 2021 East Asian Observatory